# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Kinexys Digital Payments request In this tutorial, you will learn how to use the Global Payments API to retrieve a Kinexys Digital Payments status. The Global Payments API supports automatic status updates using webhooks, but there may be instances where you need to manually check the status of a request. By the end of this tutorial, you will know how to use the `paymentId` to check and confirm the status of your payment. ## Before you begin To retrieve a Kinexys Digital Payments status, you need: - A [registered and fully onboarded Developer Account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials required to make a request. - A J.P. Morgan Blockchain Deposit Account (BDA) opened at J.P. Morgan Chase Bank, N.A. and/or J.P. Morgan SE, Frankfurt. - A Demand Deposit Account (DDA) opened in an approved funding location in which you want to perform a Kinexys Digital Payments transaction. > In addition to regular Demand Deposit Accounts (DDA), this product also supports select Client Money Accounts (CMA) and Mortgage Servicing Accounts (MSA), subject to J.P. Morgan review. > ## Send a request Request payloads for the Global Payments API have optional and required fields. Use the `paymentId` to retrieve Kinexys Digital Payments information. The Kinexys Digital Payments support multiple response types, including: `RECEIVED`, `ACCEPTED`, `PROCESSING`, `CANCELED`, `REJECTED`, `COMPLETED`, and `RETURNED`. For more details, see [Response types](/api/treasury/global-payments/global-payments-2/error-codes). ### Kinexys Digital Payments status requests To get the status of a payment, send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in `SUMMARY` view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url https://api.payments.aws.jpmchase.net/payment/v2/payments/{ f0e5486f-898a-406c-9c1f-63a0789fd961} \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` You will receive a successful response containing the information for your Kinexys Digital Payments request. ```json { "paymentId": " f0e5486f-898a-406c-9c1f-63a0789fd961", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-30T14:15:22Z", "requestedExecutionDate": "2024-10-30", "paymentIdentifiers": { "endToEndId": "kinexys2024_0834" }, "transferType": "CREDIT", "paymentType": "BLOCKCHAIN" } ``` ### Retrieve Kinexys Digital Payments details (FULL view) To get the full details of a Kinexys Digital Payments request, send a `GET` request to the same endpoint and specify `view=FULL`: ```curl curl \ --request GET \ --url https://api.payments.aws.jpmchase.net/payment/v2/payments/{ f0e5486f-898a-406c-9c1f-63a0789fd961?view=FULL } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include all available details for your Kinexys Digital Payments request: ```json { "paymentId": "f0e5486f-898a-406c-9c1f-63a0789fd961", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-30T14:15:22Z", "requestedExecutionDate": "2024-10-30", "paymentIdentifiers": { "endToEndId": "kinexys2024_0834" }, "transferType": "CREDIT", "value": { "currency": "USD", "amount": "6500" }, "paymentType": "BLOCKCHAIN", "debtor": { "account": { "accountNumber": "123456789", "accountType": "BDA" } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "CHASUS33", "idType": "BIC" } ] }, "creditor": { "account": { "accountNumber": "98765432", "accountType": "BDA" } }, "creditorAgent": { "financialInstitutionIds": [ { "id": "CHASUS33", "idType": "BIC" } ] }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment for container shipment" } ] } } ``` ## Related - For more information about Kinexys Digital Payments parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/jpm-coin-system/payment-parameters). - For more information about status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes).